Template:Compatibility browser

This page is a translated version of the page Template:Compatibility browser and the translation is 100% complete.
Matice podpory prohlížeče do května 2024 v · d · u
Prohlížeče Chrome Edge Firefox Safari iOS Android
Moderní (Grade A) Verze za poslední tři roky (2021) 11.1+ (2018) 11.3+ (2018) 5+ (2014)
Základní (Grade C) 49+ (2016) 79+ (2020) 49+ (2016) 10+ (2016) 10+ (2016) 5+ (2014)[note 1]
Neuvedeno (Grade X) Všechny ostatní prohlížeče
Praktické důsledky do května 2024
Základy Minimální OS nebo zařízení Podporovaný moderní prohlížeč
Android Moto G (1. generace) (2013)
Google Nexus 4 (2012)
Android 5.1, Chrome 91-95
Samsung Galaxy S5 (2014) Android 6.0, Chrome 91-106
iOS iPhone 5s (2013) iOS Mobile Safari 11.3 - 12 (2018-2023)[note 2]
Linux Debian 10 Buster (2019) firefox-esr 102
Ubuntu 18.04 LTS (2018) firefox (aktuální), chromium-browser (aktuální)
macOS OS X 10.11 El Capitan (2015-2018) Safari 11.1, Chrome 91-103
macOS 10.13 High Sierra (2017-2020) Safari 11.1-13, Firefox 115 ESR, Chrome 91-116
macOS 10.15 Catalina (2019-2022) Safari 13-15, aktuální Firefox, Chrome 91 až aktuální
Windows Windows 7 (2009-2020) Edge 91-109, Firefox 115 ESR, Chrome 91-109

Seznam změn, nejnovější je uvedena jako první:

  • As of MediaWiki 1.43, Basic support is removed for Internet Explorer 11 (IE 11), Edge 12–18, Chrome 31–48, Firefox 39–48, Safari 9 on macOS and iOS, and Opera. Chromium versions of Opera will probably see exactly the same experience as before. T288287
  • Od roku 2023 byly znovu stanoveny cíle podpory. Pro Chrome a prohlížeče založené na Chrome se nyní jedná o verze za poslední tři roky (pokrývající tři roky namísto tří měsíců). Pro Firefox je to nyní aktuální a předchozí verze LTS (dosahující přibližně stejného časového rozsahu). T178356
  • Od MediaWiki 1.41 je podpora Modern odstraněna pro Internet Explorer 11, macOS a iOS Safari 9-10 a Firefox 39–53. T178356
  • Od MediaWiki 1.39 byla odebrána základní podpora pro Internet Explorer 9-10, Firefox 27-38 a Android 4.3-4.4 T293298, T297313, T290815
  • Od MediaWiki 1.36 byla odebrána základní podpora pro Firefox 3-26, Internet Explorer 8, Safari 3-8, iOS (Safari) 5-8, Android 3.0-4.2, Chrome 1-30 a Opera 15-18. T248061, T262946, T266866
  • Od MediaWiki 1.36 je podpora Modern odstraněna pro Android 4.1-4.2, iOS 6.1-8 a Safari 5.1-8. T266866
  • Od MediaWiki 1.35 je základní podpora odstraněna pro Internet Explorer 6-7 a Android 2. T232563, T249788
  • Od MediaWiki 1.31 byl JavaScript pro Internet Explorer 10 zakázán. T187869
  • Od MediaWiki 1.29 byl JavaScript pro Internet Explorer 9 zakázán spolu s ostatními prohlížeči mimo ES5. T128115
  • Od MediaWiki 1.27 byl JavaScript pro Internet Explorer 8 zakázán. T118303, Zpráva ambasadorů Wikitech
  • Od MediaWiki 1.24 byl JavaScript pro Internet Explorer 6 a 7 zakázán. gerrit:152072, gerrit:152128, Zpráva ambasadorů Wikitech

Poznámky pod čarou

  1. Všimněte si, že se jedná o standardní prohlížeč Android. Pro Chrome pro Android, za předpokladu, že používáte Chrome 49+, vyžaduje Android 4.1+(2012). Pro Firefox pro Android, za předpokladu, že používáte Firefox 49+, vyžaduje Android 4.0+(2011).
  2. iOS 11 vypustil podporu pro iPhone 5 a starší zařízení
Template documentation

Použití

{{Compatibility browser}}

Prints the compatibility of browsers.

Template parameters[Edit template data]

This template prefers block formatting of parameters.

ParameterDescriptionTypeStatus
No parameters specified

Související odkazy